package com.yidianling.course.router

import android.app.Activity
import android.content.Intent
import com.yidianling.router.RouterManager
import com.yidianling.router.user.UserResponse

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/25
 */
object CourseIn {

    fun isLogin(): Boolean {
        return RouterManager.getUserRouter()?.isLogin()?:false
    }

    fun getUserInfo(): UserResponse.UserInfo? {
        return RouterManager.getUserRouter()?.getUserInfo()
    }

    fun loginWayIntent(activity: Activity): Intent? {
        return RouterManager.getUserRouter()?.loginWayIntent(activity)
    }

    fun mainIntent(activity: Activity): Intent? {
        return RouterManager.getAppRouter()?.mainIntent(activity)
    }

}